PROGRAM cell
  USE defs
  USE struct
  IMPLICIT NONE
  TYPE atom_extra
     INTEGER :: jrj
     REAL(8) :: r0,dx,rmt,zz
  END TYPE atom_extra
  TYPE(atom_extra),POINTER :: atominf(:)
  CHARACTER(80)            :: deffn, errfn,peffn
  CHARACTER(5)             :: operation
  CHARACTER(1)             :: lattice
  REAL(8)                  :: pos1(3),pos2(3),acell(3)
  REAL(8)                  :: anew(3),bnew(3),cnew(3)
  REAL(8)                  :: converter(3,3)
  INTEGER                  :: ncell(3),iproc,jat,i,j,ios
  LOGICAL                  :: flag
  CALL gtfnam(deffn,errfn,iproc)
  peffn=deffn(1:LEN_TRIM(deffn))//".struct"
  OPEN (20,FILE=peffn,STATUS='OLD')

  CALL init_struct
  CALL newnam_struct(acell,lattice)
  CALL breaksym_struct(lattice)

  OPEN(5,file='cellconv.inp')
  DO
     READ(5,*,IOSTAT=ios) operation
     IF(ios/=0) EXIT
     print*,operation
     SELECT CASE (operation)
     CASE('SUPER')
        READ(5,*) Ncell(1:3)
        CALL supercell_struct(ncell,lattice)
        ! Do something to extra information            
     END SELECT
  END DO

  CLOSE(20)
  peffn=deffn(1:LEN_TRIM(deffn))//"_new.struct"
  OPEN (20,FILE=peffn,STATUS='unknown')
  CALL write_struct

END PROGRAM cell
